*.wmflabs.org cert needs renewing
Closed, ResolvedPublic

Description

Our current cert expires on 2018-11-16. It needs renewing before then or disaster will ensue.
https://icinga.wikimedia.org/cgi-bin/icinga/extinfo.cgi?type=2&host=tools.wmflabs.org&service=HTTPS-wmflabs

Andrew created this task.Oct 4 2018, 2:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2018, 2:30 PM
Bstorm added a subscriber: Bstorm.EditedOct 4 2018, 2:35 PM

T145120 is a good past example with info. Also T160187

Andrew assigned this task to Bstorm.Oct 4 2018, 2:36 PM
Krenair added a subscriber: Krenair.Oct 4 2018, 3:08 PM
Paladox added a subscriber: Paladox.Oct 4 2018, 3:13 PM
Bstorm updated the task description. (Show Details)Oct 4 2018, 3:19 PM
Bstorm triaged this task as High priority.Oct 4 2018, 3:56 PM
Bstorm added a subscriber: aborrero.
Bstorm reassigned this task from Bstorm to aborrero.Oct 17 2018, 12:21 PM

Blocked by subtask T207314

Mentioned in SAL (#wikimedia-cloud) [2018-11-02T17:04:12Z] <arturo> renewing *.wmflabs.org T206223

Mentioned in SAL (#wikimedia-cloud) [2018-11-02T18:11:41Z] <arturo> T206223 some disturbances due to the certificate renewal

Mentioned in SAL (#wikimedia-cloud) [2018-11-02T18:22:11Z] <arturo> T206223 certificate renewal for *.wmflabs.org by manual copy of private key to /etc/ for nginx

I won't close this task until I update the docs.

aborrero closed subtask Unknown Object (Task) as Resolved.Nov 2 2018, 6:27 PM